Query Component Group Tasks
Filters combine with logical AND across dimensions; multiple values within a field are OR. Use componentGroups (plural) as a JSON array of FLEET, MANAGEMENT, or INSTANCE.
Page index (0-based)
Page size
Requested sort field; mapped server-side for task listing
Sort direction
Optional task query filters
"{\n \"taskIds\" : [ ],\n \"taskStatuses\" : [ ],\n \"taskTypes\" : [ ],\n \"policyIds\" : [ \"033a28ca-50be-4aa1-ada0-d7558b21c75a\" ],\n \"policyNames\" : [ \"VCF Policy1\" ],\n \"componentGroupResourceIds\" : [ \"055b39eb-70cf-4bc2-bfc2-e9779c32d88a\" ],\n \"componentGroupResourceFqdns\" : [ ],\n \"componentGroups\" : [ \"INSTANCE\" ]\n}"
Component group resource FQDNs (resolved to instance IDs; AND with other non-empty dimensions)
Component group resource IDs (AND with other non-empty filter dimensions; OR within this list)
JSON componentGroups (plural): array of FLEET, MANAGEMENT, INSTANCE. Matches tasks whose persisted target overlaps (AND with other non-empty filters; OR within this list).
Policy IDs
Policy names (each name max length 255)
Task IDs
Task statuses
Task types
Paged policy tasks
"{\n \"pageInfo\" : {\n \"totalCount\" : 1,\n \"page\" : 0,\n \"pageSize\" : 50\n },\n \"tasks\" : [ {\n \"taskId\" : \"077c4afc-81df-5cd3-ccd3-f0880d43999b\",\n \"taskType\" : \"POLICY_APPLY\",\n \"policyId\" : \"033a28ca-50be-4aa1-ada0-d7558b21c75a\",\n \"targetComponentGroups\" : {\n \"componentGroupResourceIds\" : [ \"055b39eb-70cf-4bc2-bfc2-e9779c32d88a\" ],\n \"componentGroups\" : [ \"INSTANCE\" ]\n },\n \"taskStatus\" : \"IN_PROGRESS\",\n \"createdAt\" : 1741630060000,\n \"updatedAt\" : 1741716460000,\n \"policyName\" : \"VCF Policy1\",\n \"targetComponentGroupsState\" : [ {\n \"componentGroupResourceId\" : \"055b39eb-70cf-4bc2-bfc2-e9779c32d88a\",\n \"componentGroupResourceFqdn\" : \"sddc-manager.example.com\",\n \"componentGroupResourceName\" : \"SDDC Manager\",\n \"componentGroup\" : \"INSTANCE\",\n \"complianceUpdatedAt\" : 1741716460000,\n \"componentGroupComplianceStatus\" : \"IN_PROGRESS\",\n \"policyId\" : \"033a28ca-50be-4aa1-ada0-d7558b21c75a\",\n \"policyName\" : \"VCF Policy1\"\n }, {\n \"componentGroupResourceId\" : \"066c49fc-81df-4bd2-cdc3-f0880d43990a\",\n \"componentGroupResourceFqdn\" : \"vcenter.example.com\",\n \"componentGroupResourceName\" : \"vCenter Server\",\n \"componentGroup\" : \"INSTANCE\",\n \"complianceUpdatedAt\" : 1741700000000,\n \"componentGroupComplianceStatus\" : \"COMPLIANT\",\n \"policyId\" : \"033a28ca-50be-4aa1-ada0-d7558b21c75a\",\n \"policyName\" : \"VCF Policy1\"\n } ],\n \"componentGroupsComplianceStatistics\" : [ {\n \"status\" : \"IN_PROGRESS\",\n \"count\" : 1\n }, {\n \"status\" : \"COMPLIANT\",\n \"count\" : 1\n } ]\n } ]\n}"
Collection of links
Represents page information for a paged result
Paged policy task details matching the query
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/suite-api/api/fleet-management/password-policies/component-groups/tasks/query